LINUX.ORG.RU

Помогите установить ati-drivers-15.12-r1 при kernel 4.4.0

 , ,


1

3

Всем привет.

Обновил ядро до 4.4.0, обновляю ati-drivers до ati-drivers-15.12-r1 - ошибки компиляции. Выдержка внизу, детальный лог здесь: http://pastebin.com/3zgB3qKK

Притом у людей ствится, как я понимаю.

Помогите, пожалуйста, решить проблему или хотябы дайте свой конфиг ядра + выхлоп emerge -pv --nodeps gentoo-sources ati-drivers.

cast leakyleaf, Jameson.

Спасибо.

  CC [M]  /var/ramdisk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.c:839:20:’ defined but not used [-Wunused-function]
 static acpi_status KCL_ACPI_Slot_No_Hotplug(KCL_ACPI_DevHandle handle, u32 lvl, void *data, void **rv)

  CC [M]  /var/ramdisk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:262:0:"__flush_tlb" redefined
 #define __flush_tlb() native_write_cr3(native_read_cr3())

In file included from /highmem.h:26:0,
                 from em.h:34,
                 from disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:123:
/tlbflush.h:13:0:this is the location of the previous definition
 #define __flush_tlb() __native_flush_tlb()

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:264:20:’
 static inline void __flush_tlb_all(void)

In file included from /highmem.h:26:0,
                 from em.h:34,
                 from disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:123:
/tlbflush.h:124:20:’ was here
 static inline void __flush_tlb_all(void)

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:pxchg’:
disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1751:30:plicit declaration of function ‘plicit-function-declaration]
                              : "q"(new), "m"(*__xg(ptr)), "0"(old)

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1751:46:ent of unary ‘’)
                              : "q"(new), "m"(*__xg(ptr)), "0"(old)

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1757:46:ent of unary ‘’)
                              : "q"(new), "m"(*__xg(ptr)), "0"(old)

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1763:46:ent of unary ‘’)
                              : "q"(new), "m"(*__xg(ptr)), "0"(old)

  CC [M]  /var/ramdisk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1749:9:emory input 2 is not directly addressable
         __asm__ __volatile__(LOCK_PREFIX "cmpxchgb %b1,%2"

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1755:9:emory input 2 is not directly addressable
         __asm__ __volatile__(LOCK_PREFIX "cmpxchgw %w1,%2"

disk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1761:9:emory input 2 is not directly addressable
         __asm__ __volatile__(LOCK_PREFIX "cmpxchgl %1,%2"

cc1: some warnings being treated as errors
scripts/Makefile.build:258: recipe for target '/var/ramdisk/tmp/portage/x11-drivers/ati-drivers-15.12-r1/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o' failed

★★★★★

Я бы рад, но пропиетарное ати не использую. Наелся глюков на всю жизнь похоже, уже год с лишним все ати\амд под опенсорсными дровами живут, я на них всё равно не играю и 3д не верчу. А на домашней игромашине nvidia.

Попробуй удалить емержем ядро, руками зачисти /usr/src/остатки, заемерж его по новой и сделай в него zcat /proc/config.gz > .config . Потом make oldconfig и соберир ядрышко. А уже потом ати-драйверс емерджи снова. Но ты наверно это делал уже...

Jameson ★★★★★ ()
Последнее исправление: Jameson (всего исправлений: 1)
Ответ на: комментарий от deity

В багзиллу долго.
Думал, может сталкивался кто.

P. S. ~x86
P. P. S. C gcc-5.3 аналогично.

Kroz ★★★★★ ()
Последнее исправление: Kroz (всего исправлений: 2)

К сожалению, пришлось откатиться на старое ядро и подредактировать ebuild убрав 15.11-remove-gpl-symbols.patch.

Аналогичное решение: https://gentoo.ru/node/28847

Kroz ★★★★★ ()
Последнее исправление: Kroz (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.